Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class MonthSelector

    java.lang.Object
      portlets.compoze.groupware.calendar.MonthSelector

All Implemented Interfaces:
  java.io.Serializable

public class MonthSelector
extends java.lang.Object
implements java.io.Serializable

This class represents a month selector.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MonthSelector.Month` This class represents a month in the selector.

Constructor Summary
`MonthSelector(java.util.Date givenDate)` Constructor using the default locale and time zone.
`MonthSelector(java.util.Locale locale, java.util.TimeZone timeZone, java.util.Date givenDate)` Constructor.

Method Summary
`java.util.Date` | `getGivenDate()` Gets the given date.
`java.util.Date` | `getNextDate()` Gets the next date.
`java.util.Date` | `getPreviousDate()` Gets the previous date.
`MonthSelector.Month[]` | `getRow(int iRowIndex)` Gets the row by index.
`int` | `getRowCount()` Gets the row count.
`int` | `getYear()` Gets the year.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthSelector

    public MonthSelector(java.util.Date givenDate)

  Constructor using the default locale and time zone.

Parameters:
  `givenDate` - the given date (may not be `null`)

### MonthSelector

    public MonthSelector(java.util.Locale locale,
                         java.util.TimeZone timeZone,
                         java.util.Date givenDate)

  Constructor.

Parameters:
  `locale` - the locale (may not be `null`)
  `timeZone` - the time zone (may not be `null`)
  `givenDate` - the given date (may not be `null`)

Method Detail

### getNextDate

    public java.util.Date getNextDate()

  Gets the next date.

  Returns:
    the next date

### getPreviousDate

    public java.util.Date getPreviousDate()

  Gets the previous date.

  Returns:
    the previous date

### getGivenDate

    public java.util.Date getGivenDate()

  Gets the given date.

  Returns:
    the given date

### getYear

    public int getYear()

  Gets the year.

  Returns:
    the year

### getRowCount

    public int getRowCount()

  Gets the row count.

  Returns:
    the row count

### getRow

    public MonthSelector.Month[] getRow(int iRowIndex)

  Gets the row by index.

  Parameters:
    `iRowIndex` - the row index
  Returns:
    an array of months for the row

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.